
var noPane  = 0;
var audPane = 1;
var plPane  = 2;
var vidPane = 3;
var currentPane = 0;

var widthClosed = 330;
var widthOpened = 586;

var vidIsRunning = false;

function Init()
{
    pl.setColumnResizeMode(0, "Stretches");
    pl.setColumnResizeMode(1, "AutoSizeData");

    OnOpenStateChange();
    OnPlayStateChange();
    if(vidIsRunning)
    {
        SetVisibility(vidPane);
    }
}

function OnOpenStateChange()
{
    if(player.OpenState == osMediaOpen)
    {
        vidIsRunning =
            (player.currentMedia.ImageSourceWidth>0);
        UpdateMetadata();
        bClose.enabled = !vidIsRunning;
        // makes bClose show up when switching from video to audio
    }
}

function OnPlayStateChange()
{
    visEffects.visible = !vidIsRunning &&
        (player.playstate == psPlaying ||
         player.playstate == psPaused);
}

function UpdateMetadata()
{
    metadata.value =
        player.currentmedia.getiteminfo("author");
}

function SetVisibility(newPane)
{
    bClose.enabled = !vidIsRunning;
    view.width = widthOpened;

    switch(newPane)
    {
    case noPane:
        sBalloon.visible =
            sAudio.visible =
            pl.visible =
            vid.visible = false;
        view.width = widthClosed;
        break;
    case audPane:
        sBalloon.visible =
            sAudio.visible = true;
        pl.visible =
            vid.visible = false;
        break;
    case plPane:
        sBalloon.visible =
            pl.visible = true;
        sAudio.visible =
            vid.visible = false;
        break;
    case vidPane:
        sBalloon.visible =
            vid.visible = true;
        sAudio.visible =
            pl.visible = false;
        break;
    }

    currentPane = newPane;
}
// open file
function openFile(){
	media = theme.openDialog('FILE_OPEN','FILES_ALLMEDIA');
	if (media) {
		player.URL = media;
	}
}